<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="initial-scale=1, width=device-width, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
<title>부산시 환경 정보</title>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<!-- <script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script> -->
<script src="http://code.jquery.com/jquery-latest.min.js"></script>
<!-- <script src="http://code.jquery.com/jquery-1.6.1.min.js"></script> -->
<style type="text/css">
@import url(http://fonts.googleapis.com/earlyaccess/nanumgothic.css);
* {margin: 0;	padding: 0; font-family: 'Nanum Gothic', serif;}
html { height: 100% }
body { height: 100%; margin: 0; padding: 0 }
#map_canvas { height: 50% }
ul{ background:#DBDBDB;padding-top: 10px; padding-bottom: 10px;}
ul li{display: inline-block; width: 23%; text-align: center;}
ul li a{color: black; text-decoration: none; font-weight: bold; font-size: 15px; }
#tab{width: 100%; border-collapse: collapse; font-size: 10px;}
#tab th{color:#515151; text-align: left; padding-left: 10px; padding-top:10px; padding-bottom: 10px; width: 30%;border: 1px solid #D6D6D6; background: #EBEBEB;}
#tab td{padding-left:10px; border: 1px solid #D6D6D6;}
#tab tr:FIRST-CHILD { border-top: 2px solid blue !important;}
.green{background: #4DB931; color: white; padding:3px; border-radius:3px;}
.cont{font-size: 11px; font-weight: bold; padding-top: 10px; padding-left: 10px;}
</style>
<script type="text/javascript"  src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCn2MXHLRMlRb6_V9YmmKG8c1euqX9bHe0&sensor=TRUE&region=KR">
</script>
<script type="text/javascript">
	google.load("visualization", "1", {
		packages : [ "corechart" ]
	});
</script>
<script type="text/javascript">
        
    
      function initialize() {
    	  
		  for(var i=1;i<=4;i++) {
    	  	if(i == 4) {
  	    	  $("#menu" + i).css('border-bottom', 'solid 2px blue');
	    	  $("#menu" + i).css('height', '28px');
	    	  
  	    	  $("#menu" + i + "_s").css('color', 'blue');
	    	  $("#menu" + i + "_s").css('font-weight', 'bolder');

    	  	}
    	  	else {
    	      $("#menu" + i).css('border-bottom', 'solid 0px blue');
    	      $("#menu" + i).css('height', '30px');
    	      
  	    	  $("#menu" + i + "_s").css('color', 'black');
	    	  $("#menu" + i + "_s").css('font-weight', 'bold');
    	  	}
    	  }

    	  var mapOptions = { 
    	       center: new google.maps.LatLng(35.240646, 129.171736),
    	       zoom: 11,
    	       mapTypeId: google.maps.MapTypeId.ROADMAP
    	  };
		 var map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
		 
		 var locCnt = 0;
		 
		 $.support.cors=true;
		 
   	  	 $.ajax({
   		  dataType: "xml",
   		  type: "GET", 
   		  url : './BusanXML',
   		  async: false,
			  success: function(res){
				  //var res = result.Text;
				  //alert("aa : " + res + " : " + $(res).find('item').text);
				  var item = $(res).find('item');
				  locCnt = item.length;
				  $(item).each(function(){
					  
						 var x = $(this).find('lat').text();
						 var y = $(this).find('lng').text();
// 					 var x = $(this).find('lat').html();
// 					 var y = $(this).find('lng').html();
					 
					 //alert(x + " : " + y);
					 
					 var dong_name = $(this).find('locNm').text();
					 var dong_seq = $(this).find('seq').text();
		    	        var myLatlng = new google.maps.LatLng(x, y);
		    	        var marker = new google.maps.Marker({
		    	            position: myLatlng,
		    	            map: map,
		    	            title: dong_name
		    	        });
		    	        
		    	        google.maps.event.addListener(marker, 'click', function() {
		    	        	
		    	        	$.ajax({
		    	        		
		    	        		url: 'BusanXMLbang2?numOfRows=24&seq='+dong_seq,
		    	        		
		    	        		success:function(res){
		    	        			
		    	        			var hour = $(res).find("checkTime");
		    	        			var value = $(res).find("data");
		    						var dong = $(res).find('locNm');
		    						var data = new google.visualization.DataTable();
		    						data.addColumn('string',$(dong[i]).text());
		    						data.addColumn('number', '선량률');
		    						//for(var i=0; i<hour.length; i++){
		    						for(var i=hour.length-1; i>=0; i--){
			    	        			var strHour = $(hour[i]).text();
			    	        			strHour = strHour.substring(11,16);//strHour.substring(11,13) + "시";//strHour.substring(8,10) + "일 " + strHour.substring(11,13) + "시";
		    							var arr = [strHour, Number($(value[i]).text())];
		    							data.addRow(arr);
		    						}

		    						var options = {
		    							title :  $(dong[0]).text()+' 선량률',
		    							fontName:'Nanum Gothic, serif',
		    							legend: {
		    								position:'none'
		    							},
		    							chartArea:{left:45, width:"80%",height:"80%"},
		    							hAxis:{
		    								textStyle: {
		    									fontStyle : "normal",
		    									fontName :'Nanum Gothic, serif',
		    							        fontSize:7
		    							    }	
		    							},
										series : {
											0:{lineWidth:2, pointSize:2, pointShape:'circle'}
										}
		    						};
		    						var chart = new google.visualization.LineChart(document.getElementById('graph'));

		    						chart.draw(data, options);
		    						$(document.body).scrollTop($('#graph').offset().top);
		    	        		},
		    	        	});
		    	        	
		    	        });
				  });
				  
					
			  },    		  
   	  	 });
		 
   	  	 var arrName = [];
		 $.ajax({
			dataType:"xml",
			type:"GET",
			url : './BusanXMLbang2?numOfRows='+locCnt,
			async: false,
			success:function(res){
				var item = $(res).find('item');
				var html="<tr>";
				$(item).each(function(idx){
					var name = $(this).find('name').text();
					var bArrHas = 0;
					for(var i=0;i<arrName.length;i++) {
						if(arrName[i] == name) {
							bArrHas = 1;
							break;
						}
					}
					if(bArrHas == 0) {
						html+="<th>"+name+"</th>";
						html+="<td>"+$(this).find('oneHourAveData').text()+"</td>";
						if((idx+1)%2==0){
							html+="</tr>";
							html+="<tr>";
						}	
					}
					else {
						html+="</tr>";
						html+="<tr>";
					}
					arrName[arrName.length] = name;
				});
				
				$('#tab').html(html);
			}
			
		 });
    	  
        
      }
    </script>
</head>
<body onload="initialize()">
<jsp:include page="top.jsp"></jsp:include>
	<div style="margin-top: 15px; padding-left: 10px;clear: both; font-weight: bold;" >
		실시간 <span style="color: #315ACC">환경방사선</span> 현황
	</div>
	<div id="map_canvas" style="margin-top: 10px;padding-left: 10px; padding-right: 10px;">

	</div>
	<div style="padding:10px;">
		<table id="tab">

		</table>
	</div>
	<div id="graph">
	
	</div>
	<div class="cont">
	- 본 선량률은 매 15분마다 수집되고 있습니다.
	</div>
	<div class="cont">
	- 상기 선량률은 국가환경상사선감시망 준위와의 직접비교를 위해 환산 보정된 값을 나타내느것으로 단위는
	(시간당 마이크로시버트) 입니다.
	</div>
	<div class="cont" style="padding-bottom: 20px;">
	- 우리나라의 환경방사선 선량률은 지역과 자연현상에 따라 대략 0.05에서 0.3의 범위에서 변동되고 있습니다.
	</div>
</body>
</html>