<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport"
	content="initial-scale=1, width=device-width, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
<title>부산시 환경 정보</title>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script src="http://code.jquery.com/jquery-latest.min.js"></script>
<script type="text/javascript">
	google.load("visualization", "1", {
		packages : [ "corechart" ]
	});
</script>
<script>
	$(document).ready(function(){
		  for(var i=1;i<=4;i++) {
	    	  	if(i == 2) {
	  	    	  $("#menu" + i).css('border-bottom', 'solid 2px blue');
		    	  $("#menu" + i).css('height', '28px');
		    	  
	  	    	  $("#menu" + i + "_s").css('color', 'blue');
		    	  $("#menu" + i + "_s").css('font-weight', 'bolder');

	    	  	}
	    	  	else {
	    	      $("#menu" + i).css('border-bottom', 'solid 0px blue');
	    	      $("#menu" + i).css('height', '30px');
	    	      
	  	    	  $("#menu" + i + "_s").css('color', 'black');
		    	  $("#menu" + i + "_s").css('font-weight', 'bold');
	    	  	}
	    	  }
		  
		getData();
		
	});
	function getData() {
		
		var gubun = $('#selected').val();
		var num = $('#dong').val();
		var x=document.getElementById("dong");
		var y=document.getElementById("selected");
		var dong_name =x.options[x.selectedIndex].text;
		var gubun_name = y.options[y.selectedIndex].text;
		
			//지도상의 동위치 색깔 위한 데이터
			$.ajax({
				url : './BusanXMLRiverByStation?numOfRows=12',
				success : function(res) {
					var chlora = $(res).find('chlora');
					var do1 = $(res).find('do1');
					var hourTime = $(res).find('hourTime');
					var locCode = $(res).find('locCode');
					var locName = $(res).find('locNamel');
					var nh4 = $(res).find('nh4');
					var ph = $(res).find('ph');
					var salt = $(res).find('salt');
					var tds = $(res).find('tds');
					var temp = $(res).find('temp');
					var turbid = $(res).find('turbid');
					var ec = $(res).find('ec');
					var curIdx;
					for(var i=0; i<locCode.length; i++){
						if(num==$(locCode[i]).text()){
							curIdx = i;
						}
					}
					$('#chlora').text($(chlora[curIdx]).text());
					$('#do').text($(do1[curIdx]).text());
					$('#nh4').text($(nh4[curIdx]).text());
					$('#ph').text($(ph[curIdx]).text());
					$('#salt').text($(salt[curIdx]).text());
					$('#tds').text($(tds[curIdx]).text());
					$('#temp').text($(temp[curIdx]).text());
					$('#turbid').text($(turbid[curIdx]).text());
					$('#ec').text($(ec[curIdx]).text());
					$('#dong2').text(dong_name);	
					if(gubun=='do1'){
						$('#yongjon').css('display', '');
						for(var k=0; k<locCode.length; k++){
							var val = $(do1[k]).text();
							var color;
							console.log(val);
							if(val>7.5){
								color='#37A1DD';
							}else if(val>5){
								color='#2CBD24';
							}else if(val>2){
								color='#BDAF06';
							}else if(val>1){
								color = '#FFAF22';
							}else{
								color = 'red';
							}
							$('.'+$(locCode[k]).text()).css('background', color);
						}

					}else{
						$('#yongjon').css('display', 'none');
					}

				},
			});
			
			$.ajax({
				url : './BusanXMLRiverByItem?item='+gubun+'&date_hour=150101&numOfRows=24',
				success: function(res){
					
					var hourTime = $(res).find('hourTime');
					var value = $(res).find(dong_name);
					
					var date = Array();
					for(var i=0; i<hourTime.length; i++){
						var tempdate = $(hourTime[i]).text().substring(6, 10);
						date[i] = tempdate.substring(2,4)+'시';//tempdate.substring(0,2)+'일'+tempdate.substring(2,4)+'시';
							
					}
					

					var data = new google.visualization.DataTable();
					
					
					data.addColumn('string',date);
					data.addColumn('number', gubun_name);
					data.addColumn({ type: 'string', role: 'style' });
					var color="#174ADE";
					for(var i=0; i<hourTime.length; i++){
						
						var arr = [date[i], Number($(value[i]).text()), color];
						data.addRow(arr);
					
					}
					

					var options = {
						fontName:'맑은 고딕',
						chartArea:{left:25,width:"90%"},
						hAxis:{
							title : dong_name+' '+gubun_name+' 최근 24시간 자료',
							titleTextStyle : {
								color: '#0465CE',
								fontStyle : "bold",
								italic:false
							},
							textStyle: {
								italic:false,
								fontStyle : "normal",
						        fontSize:7
						    }							
						}
					};
					var chart = new google.visualization.ColumnChart(document
							.getElementById('graph'));

					
					chart.draw(data, options);							
	
				}
				
			});
			
	}

</script>
<style>
@import url(http://fonts.googleapis.com/earlyaccess/nanumgothic.css);
* {margin: 0;	padding: 0; font-family: 'Nanum Gothic', serif;}
.obj{position: relative; float:left; width:6px; height:6px; border:2px solid white; background: black;box-shadow: 5px 5px 5px #a9a9a9;}
.obj2{position:relative;top:2px;margin-right:3px; display:inline-block; width:10px; height:10px;}
.obj3{display: inline-block;}
#samlakkang{left: 101px; top:145px; background: #174ADE}
#samlakbun{left: 92px; top:160px; background: #174ADE}
#dongcheon{left: 118px; top:172px; background: #174ADE}
#oncheons{left: 118px; top:133px; background: #174ADE}
#oncheonb{left: 118px; top:111px; background: #174ADE}
#oncheonl{left: 118px; top:141px; background: #174ADE}
#suyeongs{left: 118px; top:134px; background: #174ADE}
#suyeongd{left: 103px; top:121px; background: #174ADE}
#suyeongh{left: 98px; top:109px; background: #174ADE}
#sukdae{left: 100px; top:122px; background: #174ADE}
#chuncheon{left: 100px; top:155px; background: #174ADE}
#jwakwang{left: 100px; top:66px; background: #174ADE}
#dong2{color: #798FDA; font-weight: bold;}
#tab{width: 100%; border-collapse: collapse;}
#tab th{color:#515151; text-align: left; padding-left: 10px; padding-top:10px; padding-bottom: 10px; width: 50%;border: 1px solid #D6D6D6; background: #EBEBEB;}
#tab td{padding-left:20px; border: 1px solid #D6D6D6;}
#tab tr:FIRST-CHILD { border-top: 2px solid blue !important;}
#tab2{width: 100%; border-collapse: collapse;}
#tab2 td{padding-left:10px; border: 1px solid #D6D6D6; padding-top: 10px; padding-bottom: 10px; font-weight: bold;padding-right: 5px;}
#tab2 tr:FIRST-CHILD { border-top: 2px solid blue !important;}
ul{ background:#DBDBDB;padding-top: 10px; padding-bottom: 10px;}
ul li{display: inline-block; width: 23%; text-align: center;}
ul li a{color: black; text-decoration: none; font-weight: bold; font-size: 15px; }
</style>
</head>
<body>
<jsp:include page="top.jsp"></jsp:include>
	<div>
		<div style="margin-left: 2%; margin-top: 20px;">
		<select id="dong" style="padding: 5px 0px 5px 5px; background: white;">
			<option value="111">동천성서교</option>
			<option value="106">삼락천강선교</option>
			<option value="107">삼락천음악분수</option>
			<option value="109">석대천반석2호교</option>
			<option value="108">수영강동천교</option>
			<option value="105">수영강세월교</option>
			<option value="104">수영강회동교</option>
			<option value="101">온천천부곡교</option>
			<option value="102">온천천세병교</option>
			<option value="103">온천천이섭교</option>
			<option value="112">좌광천중앙공원</option>
			<option value="110">춘천삼정그린코아</option>
		</select>
		<select id="selected" style="padding: 5px 0px 5px 5px; margin-left: 5px; margin-right: 5px; background: white;">
			<option value='temp'>수온</option>
			<option value='ph'>수소이온농도</option>
			<option value='do1'>용존산소</option>
			<option value='ec'>전기전도도</option>
			<option value='salt'>염분</option>
			<option value='turbid'>탁도</option>
			<option value='tds'>TDS</option>
			<option value='chlora'>클로로필a</option>
			<option value='nh4'>암모늄</option>
		</select>
		<input type="button" onclick="getData()" value="검색" style="color: white;font-weight: bold; padding: 6px 10px 6px 10px; background: blue; border: 0px;">
		</div>
	</div>
	<div style="text-align: center;">
	<div style="position: absolute; top: 44px; left: 0px;">
		<span style="width: 3px; height: 3px; color: blue;"></span>
	</div>
	<div>
		<div style="border: 2px solid gray; border-radius:10px; margin:5% 2% 5% 2%; padding-top: 10px; padding-bottom: 10px;">
			<div style="display: inline-block; width: 280px; height: 280px;">
				<span class="obj 106" id="samlakkang"></span>
				<span class="obj 107" id="samlakbun"></span>
				<span class="obj 111" id="dongcheon"></span>
				<span class="obj 102" id="oncheons"></span>
				<span class="obj 101" id="oncheonb"></span>
				<span class="obj 103" id="oncheonl"></span>
				<span class="obj 105" id="suyeongs"></span>
				<span class="obj 108" id="suyeongd"></span>
				<span class="obj 104" id="suyeongh"></span>
				<span class="obj 109" id="sukdae"></span>
				<span class="obj 110" id="chuncheon"></span>
				<span class="obj 112" id="jwakwang"></span>
				<img src="./resources/img/hachun_280.png">
			</div>	
		</div>
	</div>
	</div>
	<div style="margin-bottom: 20px; margin-left: 2%; margin-right: 2%">
		<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;">
			<span id="dong2"></span> <span id="gubun">하천수질</span> 수치 입니다.</div>
		<table id="tab">
			<tr>
				<th>수온</th>
				<td id="temp"></td>
			</tr>
			<tr>
				<th>수소이온농도</th>
				<td id="ph"></td>
			</tr>
			<tr>
				<th>용존산소</th>
				<td id="do"></td>
			</tr>
			<tr>
				<th>전기전도도</th>
				<td id="ec"></td>
			</tr>
			<tr>
				<th>염분</th>
				<td id="salt"></td>
			</tr>
			<tr>
				<th>탁도</th>
				<td id="turbid"></td>
			</tr>
			<tr>
				<th>TDS</th>
				<td id="tds"></td>
			</tr>
			<tr>
				<th>클로로필a</th>
				<td id="chlora"></td>
			</tr>
			<tr>
				<th>암모늄</th>
				<td id="nh4"></td>
			</tr>
		</table>
	</div>
	<div style="padding-bottom: 20px;">
		<div style="background: #3156CB; margin-left:2%;margin-right:2%; height: 30px; padding-left: 20px; border-radius:10px 10px 0px 0px;">
			<span style="font-size: 13px; color: white; font-weight: bold; position: relative;top: 2px;">실시간 측정 자료</span>
		</div>
		<div style="border: 2px solid gray; border-radius:0px 0px 10px 10px; margin-left:2%;margin-right:2%; padding-top: 10px; padding-bottom: 10px">
			<div id="graph">
	
			</div>
		</div>
	</div>
	<div style="background: #FFFEEF;" id="yongjon">
		<div style="padding-bottom: 20px; margin-left: 2%; margin-right: 2%;">
			<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;">
				용존산소 범례수치
			</div>
			<div style="border: 2px solid #D6D6D6; border-radius:5px; background: white; padding-top: 10px; padding-left: 10px;font-size: 12px; padding-bottom: 10px;">
					<div class="obj3">
						<span class="obj2" style="background: #37A1DD; ">&nbsp;</span>
						<span style="color:#37A1DD; font-weight: bold;margin-right: 5px;">매우좋음 (7.5이상)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #2CBD24; ">&nbsp;</span>
						<span style="color:#2CBD24; font-weight: bold;margin-right: 5px;">좋음 (5.0~7.4)</span>
					</div>
					<div class="obj3" style="width: 131px;">
						<span class="obj2"style="background: #BDAF06; ">&nbsp;</span>
						<span style="color:#BDAF06; font-weight: bold;margin-right: 5px;">보통 (2.1~4.9)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #FFAF22; ">&nbsp;</span>
						<span style="color:#FFAF22; font-weight: bold;margin-right: 5px;">나쁨 (1.1~2.0)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #F40000; ">&nbsp;</span>
						<span style="color:#F40000; font-weight: bold;margin-right: 5px;">매우나쁨 (1.0이하)</span>
					</div>
			</div>
		</div>
	</div>
</body>
</html>