<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport"
	content="initial-scale=1, width=device-width, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
<title>부산시 환경 정보</title>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script src="http://code.jquery.com/jquery-latest.min.js"></script>
<script type="text/javascript">
	google.load("visualization", "1", {
		packages : [ "corechart" ]
	});
</script>
<script>
	$(document).ready(function(){
		  for(var i=1;i<=4;i++) {
	    	  	if(i == 1) {
	  	    	  $("#menu" + i).css('border-bottom', 'solid 2px blue');
		    	  $("#menu" + i).css('height', '28px');
		    	  
	  	    	  $("#menu" + i + "_s").css('color', 'blue');
		    	  $("#menu" + i + "_s").css('font-weight', 'bolder');

	    	  	}
	    	  	else {
	    	      $("#menu" + i).css('border-bottom', 'solid 0px blue');
	    	      $("#menu" + i).css('height', '30px');
	    	      
	  	    	  $("#menu" + i + "_s").css('color', 'black');
		    	  $("#menu" + i + "_s").css('font-weight', 'bold');
	    	  	}
	    	  }
		  
		getData();
		
	});
	function getData() {
		
		var gubun = $('#selected').val();
		var num = $('#dong').val();
		var x=document.getElementById("dong");
		var y=document.getElementById("selected");
		var dong_name =x.options[x.selectedIndex].text;
		var gubun_name = y.options[y.selectedIndex].text;
		
		if(gubun=='CAI'){
			$.ajax({
				url : './BusanXMLAirByStation?idx=' + num + '&date_hour=150101',
				success : function(res) {
					
					var dong = $(res).find("site").text();
					var hour = $(res).find("controlnumber");
					var value = $(res).find("so2");
									
					var data = new google.visualization.DataTable();
					
					data.addColumn('string',dong);
					data.addColumn('number', '통합대기환경지수');
					data.addColumn({ type: 'string', role: 'style' });
					
					for(var i=0; i<hour.length; i++){
												
						var val = $(value[i]).text();
						if(val>250){
							color='ff0000';
						}else if(val>200){
							color='00ff00';
						}else if(val>150){
							color='FC9A24';
						}else if(val>100){
							color = 'F0FF00';
						}else if(val>50){
							color = '06FF00';
						}else{
							color = '00A2FF';
						}
						
						var arr = [$(hour[i]).text(), parseInt($(value[i]).text()), color];
						data.addRow(arr);
					}
					

					var options = {
						fontName:'맑은 고딕',
						legend: {
							position:'none'
						},
						chartArea:{left:25,width:"90%"},
						hAxis:{
							title : dong+'측정소 통합대기환경지수(CAI) 최근 24시간 자료',
							titleTextStyle : {
								color: '#0465CE',
								fontStyle : "bold",
								italic:false
							},
							textStyle: {
								fontStyle : "normal",
								fontName :'맑은 고딕',
						        fontSize:7
						    }							
						}
					
					};
					var chart = new google.visualization.ColumnChart(document
							.getElementById('graph'));

					chart.draw(data, options);
					$('#dong_name').text(dong);
					$('#dong2').text(dong);
					$('#gubun').text('대기질');
					
				},
			});

		}else{
			//지도상의 동위치 색깔 위한 데이터
			$.ajax({
				url : './BusanXMLAirByStation?idx=' + num + '&date_hour=150101',
				success : function(res) {
					console.log(res);
					var arrCAI = [0, 51, 101, 151, 251, 351];
					var arrSO2 = [0.020, 0.050, 0.100, 0.150, 0.400, 1];
					var areaIndex = $(res).find('areaIndex');
					var curIdx; // 현재 선택한 동의 index 값
					for(var i=0; i<areaIndex.length; i++){
						if(num==$(areaIndex[i]).text()){
							
							curIdx = i;
						}
					}
					var rawValue = $(res).find("so2");
					var co = $(res).find("co");
					var no2 = $(res).find('no2');
					var o3 = $(res).find('o3');
					var pm10 =$(res).find('pm10');
					var pm25 = $(res).find('pm25');
					
					$('#co').text($(co[curIdx]).text());
					$('#no2').text($(no2[curIdx]).text());
					$('#o3').text($(o3[curIdx]).text());
					$('#pm10').text($(pm10[curIdx]).text());
					$('#pm25').text($(pm25[curIdx]).text());
					$('#so2').text($(rawValue[curIdx]).text());
					var value = Array();
					
					
					for(var i=0; i<rawValue.length; i++){
						for(var k=0;k<arrSO2.length;k++) {
							
							if($(rawValue[i]).text() <= arrSO2[k]) {
								value[i] = arrCAI[k];
								//통합환경지수 테이블에 넣는값
								if(i==curIdx){
									$('#cai').text(value[i]);
								}
								if(value[i]>251){
									color = 'red';
								}else if(value[i]>250){
									color = '#FFAF22';
								}else if(value[i]>150){
									color = '#BDAF06';
								}else if(value[i]>100){
									color = '#2CBD24';
								}else{
									color = '#37A1DD';
								}
								
								$('.'+$(areaIndex[i]).text()).css('background', color);
								break;
							}
						}
					}
					

				},
			});
			
			$.ajax({
				url : './BusanXMLAirByItem?item='+gubun+'&date_hour=150101&numOfRows=24',
				success: function(res){
										
					
					var value =  $(res).find(dong_name);
					var hour = $(res).find('controlnumber');
					var date = Array();
					for(var i=0; i<hour.length; i++){
						var tempdate = $(hour[i]).text().substring(6, 10);
						date[i] = tempdate.substring(2,4)+'시';//tempdate.substring(0,2)+'일'+tempdate.substring(2,4)+'시';
						
					}
					
					var data = new google.visualization.DataTable();
					
					
					data.addColumn('string',date);
					data.addColumn('number', gubun_name);
					data.addColumn({ type: 'string', role: 'style' });
					
					for(var i=0; i<hour.length; i++){
						
						var arr = [date[i], Number($(value[i]).text()), color]; 
						data.addRow(arr);
					
					}
					

					var options = {
						fontName:'맑은 고딕',
						chartArea:{left:25,width:"90%"},
						hAxis:{
							title : dong_name+' '+gubun_name+' 최근 24시간 자료',
							titleTextStyle : {
								color: '#0465CE',
								fontStyle : "bold",
								italic:false
							},
							textStyle: {
								italic:false,
								fontStyle : "normal",
						        fontSize:7
						    }							
						}
					};
					var chart = new google.visualization.ColumnChart(document
							.getElementById('graph'));

					
					chart.draw(data, options);
					$('#dong_name').text(dong_name);
					$('#dong2').text(dong_name);
					$('#gubun').text(gubun_name);
					
				}
				
			});

		}
		
		
	}
	
</script>
<style>
@import url(http://fonts.googleapis.com/earlyaccess/nanumgothic.css);
* {margin: 0;	padding: 0; font-family: 'Nanum Gothic', serif;}
.obj{position: relative; float:left; width:5px; height:5px; border:2px solid white; background: black;}
.obj2{position:relative;top:2px;margin-right:3px; display:inline-block; width:10px; height:10px;}
.obj3{display: inline-block;}
#noksan{left: 66px; top:186px; background: #37A1DD}
#daejeo{left: 76px; top:136px; background: #BDAF06}
#hakjang{left: 86px; top:158px; background:#2CBD24 }
#janglim{left:75px; top: 204px; background: #FFAF22}
#daesin{left: 83px; top: 185px; background: #F40000}
#dukcheon{left: 78px; top: 118px;background: #37A1DD}
#jeonpo{left: 78px; top: 157px;background: #BDAF06}
#choryang{left: 69px; top: 182px;background:#2CBD24}
#sujeong{left: 71px; top: 179px;background: #FFAF22}
#kwangbok{left: 48px; top: 197px;background: #37A1DD}
#yeongdo{left: 67px; top: 222px;background: #37A1DD}
#cheongryong{left: 61px; top: 93px;background: #FFAF22}
#bugock{left: 46px; top: 108px;background:#2CBD24}
#oncheon{left: 29px; top: 129px;background: #F40000}
#myeongjang{left: 38px; top: 134px;background:#2CBD24}
#yeonsan{left: 19px; top: 144px;background: #37A1DD}
#kwangan{left: 25px; top: 157px;background: #BDAF06}
#daeyeon{left: 14px; top: 185px;background: #F40000}
#jwadong{left: 44px; top: 148px;background: #FFAF22}
#yongsuri{left: 37px; top: 54px;background:#2CBD24}
#gijang{left: 48px; top: 83px;background:#2CBD24}
#dong2{color: #798FDA; font-weight: bold;}
#tab{width: 100%; border-collapse: collapse;}
#tab th{color:#515151; text-align: left; padding-left: 10px; padding-top:10px; padding-bottom: 10px; width: 50%;border: 1px solid #D6D6D6; background: #EBEBEB;}
#tab td{padding-left:20px; border: 1px solid #D6D6D6;}
#tab tr:FIRST-CHILD { border-top: 2px solid blue !important;}
#tab2{width: 100%; border-collapse: collapse;}
#tab2 td{padding-left:10px; border: 1px solid #D6D6D6; padding-top: 10px; padding-bottom: 10px; font-weight: bold;padding-right: 5px;}
#tab2 tr:FIRST-CHILD { border-top: 2px solid blue !important;}
ul{ background:#DBDBDB;padding-top: 10px; padding-bottom: 10px;}
ul li{display: inline-block; width: 23%; text-align: center;}
ul li a{color: black; text-decoration: none; font-weight: bold; font-size: 15px; }
</style>
</head>
<body>
<jsp:include page="top.jsp"></jsp:include>
	<div>
		<div style="margin-left: 2%; margin-top: 20px;">
		<select id="dong" style="padding: 5px 0px 5px 5px; background: white;">
			<option selected="selected" value="221112">광복동</option>
			<option value="221202">장림동</option>
			<option value="221181">학장동</option>
			<option value="221182">덕천동</option>
			<option value="221221">연산동</option>
			<option value="221172">대연동</option>
			<option value="221191">청룡동</option>
			<option value="221152">전포동</option>
			<option value="221141">태종대</option>
			<option value="221231">기장읍</option>
			<option value="221211">대저동</option>
			<option value="221251">부곡동</option>
			<option value="221271">광안동</option>
			<option value="221163">명장동</option>
			<option value="221212">녹산동</option>
			<option value="221233">용수리</option>
			<option value="221192">좌동</option>
			<option value="221241">수정동</option>
			<option value="221281">대신동</option>
			<option value="221162">온천동</option>
			<option value="221131">초량동</option>
		</select>
		<select id="selected" style="padding: 5px 0px 5px 5px; margin-left: 5px; margin-right: 5px; background: white;">
			<option value="so2">아황산가스</option>
			<option value="pm10">미세먼지</option>
			<option value="o3">오존</option>
			<option value="no2">이산화질소</option>
			<option value="co">일산화탄소</option>
			<option value="pm25">미세먼지2.5</option>
		</select>
		<input type="button" onclick="getData()" value="검색" style="color: white;font-weight: bold; padding: 6px 10px 6px 10px; background: blue; border: 0px;">
		</div>
	</div>
	<div style="text-align: center;">
	<div style="position: absolute; top: 44px; left: 0px;">
		<span style="width: 3px; height: 3px; color: blue;"></span>
	</div>
	<div>
		<div style="border: 2px solid gray; border-radius:10px; margin:5% 2% 5% 2%; padding-top: 10px; padding-bottom: 10px;">
			<div style="display: inline-block; width: 280px; height: 280px;">
				<span class="obj 221212" id="noksan"></span>
				<span class="obj 221211" id="daejeo"></span>
				<span class="obj 221181" id="hakjang"></span>
				<span class="obj 221181" id="janglim"></span>
				<span class="obj 221281" id="daesin"></span>
				<span class="obj 221182" id="dukcheon"></span>
				<span class="obj 221152" id="jeonpo"></span>
				<span class="obj 221131" id="choryang"></span>
				<span class="obj 221241" id="sujeong"></span>
				<span class="obj 221112" id="kwangbok"></span>
				<span class="obj 221141" id="yeongdo"></span>
				<span class="obj 221191" id="cheongryong"></span>
				<span class="obj 221251" id="bugock"></span>
				<span class="obj 221162" id="oncheon"></span>
				<span class="obj 221163" id="myeongjang"></span>
				<span class="obj 221221" id="yeonsan"></span>
				<span class="obj 221271" id="kwangan"></span>
				<span class="obj 221172" id="daeyeon"></span>
				<span class="obj 221192" id="jwadong"></span>
				<span class="obj 221233" id="yongsuri"></span>
				<span class="obj 221231" id="gijang"></span>
				<img src="./resources/img/busan_map.png">
			</div>	
		</div>
	</div>
	</div>
		<div style="background: #FFFEEF">
		<div style="padding-bottom: 20px; margin-left: 2%; margin-right: 2%;">
			<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;">
				화면표시 범례 CAI 수치
			</div>
			<div style="border: 2px solid #D6D6D6; border-radius:5px; background: white; padding-top: 10px; padding-left: 10px;font-size: 12px; padding-bottom: 10px;">
					<div class="obj3">
						<span class="obj2" style="background: #37A1DD; ">&nbsp;</span>
						<span style="color:#37A1DD; font-weight: bold;margin-right: 5px;">좋은 (0~50)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #2CBD24; ">&nbsp;</span>
						<span style="color:#2CBD24; font-weight: bold;margin-right: 5px;">보통 (51~100)</span>
					</div>
					<div class="obj3" style="width: 131px;">
						<span class="obj2"style="background: #BDAF06; ">&nbsp;</span>
						<span style="color:#BDAF06; font-weight: bold;margin-right: 5px;">약간나쁨 (101~150)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #FFAF22; ">&nbsp;</span>
						<span style="color:#FFAF22; font-weight: bold;margin-right: 5px;">나쁨 (151~250)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #F40000; ">&nbsp;</span>
						<span style="color:#F40000; font-weight: bold;margin-right: 5px;">매우나쁨 (251~)</span>
					</div>
					<div class="obj3">
						<span class="obj2"style="background: #B8B8B8; ">&nbsp;</span>
						<span style="color:#B8B8B8; font-weight: bold;margin-right: 5px;">통신이상</span>
					</div>
			</div>
			<div style="clear: both; margin-top: 15px;">
				<table id="tab2" style="font-size: 12px; background: white;">
					<tr>
						<td><span style="color:#37A1DD; font-weight: bold;">좋은 (0~50)</span></td>
						<td>대기오염 관련 질환자군에서도 영향이 유발되지 않을 수준</td>
					</tr>
					<tr>
						<td><span style="color:#2CBD24; font-weight: bold;">보통 (0~50)</span></td>
						<td>환자군에게 만성 노출시 경미한 영향이 유발될 수 있는 수준</td>
					</tr>
					<tr>
						<td><span style="color:#BDAF06; font-weight: bold;">약간나쁨 (101~150)</span></td>
						<td>환자군 및 민감군에게 유해한 영향이 유발될 수 있는 수준</td>
					</tr>
					<tr>
						<td><span style="color:#FFAF22; font-weight: bold;">나쁨 (151~250)</span></td>
						<td>환자군 및 민감군(어린이, 노약자 등)에게 유해한 영향 유발, 일반인도 건강상 불쾌감을 경험할 수 있는 수준</td>
					</tr>
					<tr>
						<td><span style="color:#F40000; font-weight: bold;">매우나쁨 (251~)</span></td>
						<td>환자군 및 민감군에게 급성 노출시 심각한 영향유발, 일반인도 약한 영향이 유발될 수 있는 수준</td>
					</tr>
					<tr>
						<td><span style="color:#B8B8B8; font-weight: bold;">통신이상</span></td>
						<td></td>
					</tr>
				</table>
			
			</div>
		</div>
	</div>
	<div style="padding-bottom: 20px;">
		<div style="background: #3156CB; margin-left:2%;margin-right:2%; height: 30px; padding-left: 20px; border-radius:10px 10px 0px 0px;">
			<span style="font-size: 13px; color: white; font-weight: bold; position: relative;top: 2px;">실시간 측정 자료</span>
		</div>
		<div style="border: 2px solid gray; border-radius:0px 0px 10px 10px; margin-left:2%;margin-right:2%; padding-top: 10px; padding-bottom: 10px">
			<div id="graph">
	
			</div>
		</div>
	</div>
	<div style="margin-bottom: 20px; margin-left: 2%; margin-right: 2%">
		<div style="font-size: 20px; font-weight: bold; padding-top: 15px; padding-bottom: 15px;">
			<span id="dong2"></span> <span id="gubun">대기질</span> 수치 입니다.</div>
		<table id="tab">
			<tr>
				<th>통합환경지수CAI</th>
				<td id="cai"></td>
			</tr>
			<tr>
				<th>미세먼지(PM-10)</th>
				<td id="pm10"></td>
			</tr>
			<tr>
				<th>초미세먼지(PM-2.5)</th>
				<td id="pm25"></td>
			</tr>
			<tr>
				<th>오존(O3)</th>
				<td id="o3"></td>
			</tr>
			<tr>
				<th>이산화질소(NO2)</th>
				<td id="no2"></td>
			</tr>
			<tr>
				<th>일산화탄소(CO)</th>
				<td id="co"></td>
			</tr>
			<tr>
				<th>아황산가스(SO2)</th>
				<td id="so2"></td>
			</tr>
		</table>
	</div>

</body>
</html>