package kr.go.busan.bsopenapp;

import kr.go.busan.bsopenapp.R;
import android.app.Activity;
import android.app.KeyguardManager;
import android.app.KeyguardManager.KeyguardLock;
import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.PowerManager;
import android.os.PowerManager.WakeLock;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageButton;
import android.widget.TextView;

public class PopupActivity extends Activity {
	
	PowerManager pm;
	WakeLock wl;
	KeyguardManager km;
	KeyguardLock kl;

	@SuppressWarnings("deprecation")
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		//getWindow().setFlags(WindowManager.LayoutParams.FLAG_BLUR_BEHIND, WindowManager.LayoutParams.FLAG_BLUR_BEHIND);
		
		pm = (PowerManager) getSystemService(Context.POWER_SERVICE);
	    km=(KeyguardManager)getSystemService(Context.KEYGUARD_SERVICE);
	    kl=km.newKeyguardLock("INFO");
	    wl = pm.newWakeLock(PowerManager.FULL_WAKE_LOCK | PowerManager.ACQUIRE_CAUSES_WAKEUP|PowerManager.ON_AFTER_RELEASE, "INFO");
	    wl.acquire(); //wake up the screen
	    kl.disableKeyguard();// dismiss the keyguard
	    
		setContentView(R.layout.activity_popup);
		
//		// 이 부분이 바로 화면을 깨우는 부분 되시겠다.
//        // 화면이 잠겨있을 때 보여주기
//	    getWindow().addFlags(WindowManager.LayoutParams.FLAG_SHOW_WHEN_LOCKED
//	        // 키잠금 해제하기
//	        | WindowManager.LayoutParams.FLAG_DISMISS_KEYGUARD
//	        // 화면 켜기
//	        | WindowManager.LayoutParams.FLAG_TURN_SCREEN_ON);
		
//		// 키 가드 위로 화면을 표시 하고 싶을 경우 설정 한다.
//		Window win = getWindow();
//		win.addFlags(WindowManager.LayoutParams.FLAG_SHOW_WHEN_LOCKED
//		                | WindowManager.LayoutParams.FLAG_TURN_SCREEN_ON);
//		 
//		// 안드로이드 Clock 소스
//		// final Window win = getWindow();
//		win.addFlags(WindowManager.LayoutParams.FLAG_SHOW_WHEN_LOCKED
//		        | WindowManager.LayoutParams.FLAG_DISMISS_KEYGUARD);
//		// Turn on the screen unless we are being launched from the AlarmAlert
//		// subclass.
//		//if (!getIntent().getBooleanExtra(SCREEN_OFF, false)) {
//		    win.addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON
//		            | WindowManager.LayoutParams.FLAG_TURN_SCREEN_ON
//		            | WindowManager.LayoutParams.FLAG_ALLOW_LOCK_WHILE_SCREEN_ON);
//		//}

		getWindow().setBackgroundDrawableResource(android.R.color.transparent);
		
		Intent intent = getIntent();
		String strMsg = intent.getExtras().getString("msg");
	    Log.i("PopupActivity : hsw", strMsg);
	    TextView tv = (TextView)findViewById(R.id.message);
	    tv.setText(strMsg);
//	    tv.setBackgroundColor(Color.RED);
//	    tv.setTextColor(Color.BLACK);
	    ImageButton ib = (ImageButton)findViewById(R.id.confirm);
	    ib.setOnClickListener(new OnClickListener() {
	        @Override
	        public void onClick(View v) {
	            // 확인버튼을 누르면 앱의 런처액티비티를 호출한다.
	            Intent intent = new Intent(PopupActivity.this, MainActivity.class);
	            startActivityForResult(intent, 0);//K.REQUEST_NORMAL);
	            finish();
	        }
	    });
	}
}
